# Uses of Interface
org.apache.commons.math3.ml.neuralnet.FeatureInitializer

Packages that use FeatureInitializer
Package
Description
org.apache.commons.math3.ml.neuralnet
Neural networks.
org.apache.commons.math3.ml.neuralnet.oned
One-dimensional neural networks.
org.apache.commons.math3.ml.neuralnet.twod
Two-dimensional neural networks.

## Uses of FeatureInitializer in org.apache.commons.math3.ml.neuralnet

Methods in org.apache.commons.math3.ml.neuralnet that return FeatureInitializer
Modifier and Type
Method
Description
`static FeatureInitializer`
FeatureInitializerFactory.`function(UnivariateFunction f, double init, double inc)`
Creates an initializer from a univariate function `f(x)`.
`static FeatureInitializer`
FeatureInitializerFactory.`randomize(RealDistribution random, FeatureInitializer orig)`
Adds some amount of random data to the given initializer.
`static FeatureInitializer`
FeatureInitializerFactory.`uniform(double min, double max)`
Uniform sampling of the given range.
`static FeatureInitializer`
FeatureInitializerFactory.`uniform(RandomGenerator rng, double min, double max)`
Uniform sampling of the given range.
Methods in org.apache.commons.math3.ml.neuralnet with parameters of type FeatureInitializer
Modifier and Type
Method
Description
`static FeatureInitializer`
FeatureInitializerFactory.`randomize(RealDistribution random, FeatureInitializer orig)`
Adds some amount of random data to the given initializer.

## Uses of FeatureInitializer in org.apache.commons.math3.ml.neuralnet.oned

Constructors in org.apache.commons.math3.ml.neuralnet.oned with parameters of type FeatureInitializer
Modifier
Constructor
Description
``
`NeuronString(int num, boolean wrap, FeatureInitializer[] featureInit)`
Creates a one-dimensional network: Each neuron not located on the border of the mesh has two neurons linked to it.

## Uses of FeatureInitializer in org.apache.commons.math3.ml.neuralnet.twod

Constructors in org.apache.commons.math3.ml.neuralnet.twod with parameters of type FeatureInitializer
Modifier
Constructor
Description
``
`NeuronSquareMesh2D(int numRows, boolean wrapRowDim, int numCols, boolean wrapColDim, SquareNeighbourhood neighbourhoodType, FeatureInitializer[] featureInit)`
Creates a two-dimensional network composed of square cells: Each neuron not located on the border of the mesh has four neurons linked to it.